package com.xhkjedu.constant;

import com.xhkjedu.vo.ResultVo;

/*
 * @Description:项目常量
 * @Author: WN
 * @Date: 2023/11/15 15:24:44
 **/
public final class PlatformConstant {

    //请求头内容——用户id
    public static final String XH_USER_ID = "Xh-User-Id";

    //请求头内容——是否加密
    public static final String XH_ST = "Xh-St";

    //请求头内容——tokenKey
    public static final String XH_TOKEN_KEY = "Xh-Token-Key";

    //请求头内容——tokenValue
    public static final String XH_TOKEN_VALUE = "Xh-Token-Value";

    //请求头内容——终端类型
    public static final String XH_DEVICE = "Xh-Device";

    //请求头内容——版本号
    public static final String XH_VERSION = "Xh-Version";

    public static final ResultVo AFTER_COMMIT = new ResultVo(3, "作业已过截止时间！");

    public static final ResultVo PAPER_COMMIT = new ResultVo(3, "作业已提交！");

    public static final ResultVo COMMIT_SUCCESS = new ResultVo(0, "提交成功！");

}
