package com.xhkjedu.smarking.mapper.paper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.paper.MsTemplateBlock;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷模块客观题定位区表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsTemplateBlockMapper extends TkMapper<MsTemplateBlock> {

    //删除模板中指定类型题块信息
    int deleteByMtidAndMtype(@Param("mtid")Integer mtid, @Param("mttype")Integer mttype);

    //版信息详情
    List<MsTemplateBlock> listTemplateBlockQuestions(@Param("mtid")Integer mtid,@Param("mttype")Integer mttype);

    //获取模版主观题题块信息
    List<Map<String,Object>> listSubjectiveBlockQuestions(@Param("mtid")Integer mtid);

    //主观题框选题块获取
    List<Map<String,Object>> listBlockTemplates(@Param("mpid")Integer mpid,@Param("mtid")Integer mtid);
}
