package com.xhkjedu.smarking.mapper.report.reportstu;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportstu.MsrStudent;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷报告-学生成绩分析表 Mapper 接口
 * @Author auto
 * @Date 2024-12-09
 */
public interface MsrStudentMapper extends TkMapper<MsrStudent> {
    //获取学生考试得分和排名
    List<MsrStudent> listStuScoreAndRankByExamid(@Param("examid") int examid);
    //批量修改学生主观题、客观题分值
    void updateBatchObjSubScore(@Param("list") List<MsrStudent> list);
    //综合报告-小分表-学生分数排名
    List<Map<String, Object>> listStuScoreAndRankByExamidAndSubjectid(@Param("examid") int examid, @Param("subjectid") String subjectid);
}
