package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级试题总分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_allque")
public class MsrClassAllque extends BaseBean {
    @Id
    //阅卷报告-班级试题总分析ID
    private Integer cqid;
    //考试ID
    private Integer examid;
    //班级ID（含全体）
    private Integer classid;
    //科目ID（含总分）
    private String subjectid;
    //平均分
    private Double avgscore;
    //难度
    private Double nd;
    //区分度
    private Double qfd;
    //最高分
    private Double maxscore;
    //最低分
    private Double minscore;
    //得分率
    private Double scorerate;
    //总人数
    private Integer stunum;
    //优秀人数
    private Integer yxnum;
    //优秀率
    private Double yxrate;
    //良好人数
    private Integer lhnum;
    //良好率
    private Double lhrate;
    //及格人数
    private Integer jgnum;
    //及格率
    private Double jgrate;
    //低分人数
    private Integer dfnum;
    //低分率
    private Double dfrate;
}
