package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级学科档位和临界分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_nearline")
public class MsrClassNearline extends BaseBean {
    @Id
    //阅卷报告-班级学科档位和临界分析
    private Integer cnid;
    //考试ID
    private Integer examid;
    //班级ID（含全体）
    private Integer classid;
    //科目ID（含总分）
    private String subjectid;
    //档位名称
    private String dwname;
    //档位序号
    private Integer dworder;
    //档位分值
    private Double dwscore;
    //上线人数
    private Integer sxnum;
    //档位上线人数排名
    private Integer sxrank;
    //上线率
    private Double sxrate;
    //累计上线人数
    private Integer ljsxnum;
    //累计上线率
    private Double ljsxrate;
    //双上线人数
    private Integer ssxnum;
    //总分上线学科未上线人数
    private Integer zfsxxkwsxnum;
    //贡献率
    private Double gxrate;
    //命中率
    private Double mzxrate;
    //临界生人数
    private Integer ljsnum;
    //临界生平均分
    private Double ljsavgscore;
    //单上线学生id字符串
    private String stuids;
    //双上线学生id字符串
    private String stuids2;
    //临界生id字符串
    private String stuids3;
    //累计上线学生id字符串
    private String stuids4;
    //总分上线学科未上线学生id字符串
    private String stuids5;
}
