package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级试题小题分析-客观题答案分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_question_obj")
public class MsrClassQuestionObj extends BaseBean {
    @Id
    //阅卷报告-班级试题小题分析-客观题答案分析ID
    private Integer cqoid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //班级ID（含全体）
    private Integer classid;
    //试卷试题id
    private Integer mptqid;
    //选项答案
    private String xxda;
    //人数
    private Integer xxnum;
    //比例
    private Double xxrate;
    //生学id字符串
    private String stuids;
}
