package com.xhkjedu.smarking.model.wholeparam;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷指标参数-报考参数表
 * @Author auto
 * @Date 2024-12-02
 */
@Data
@Table(name = "msp_reportparam")
public class MspReportparam extends BaseBean {
    @Id
    //等级类参数ID
    private Integer rpid;
    //年级 0通用
    private Integer gradeid;
    //归属：rank排行榜 scorerate班级对比得分率 allrate班级对比表综合率  allrate班级对比表综合率 quesummary试题汇总 scoresection分数分段统计
    // rankrate名次和比例分析  gradescore分档分数线 nearline临界生群体分析 subjectshow学科考试表现 keystu重点学生信息
    private String rpbelong;
    //类型
    private Integer rptype;
    //等级值
    private Integer gradenum;
    //科目ID
    private String subjectid;
    //数值json
    private String szjson;
    //操作人ID
    private Integer handleid;
    //操作时间
    private Integer handletime;

    //学校ID
    private Integer schoolid;
}
