package com.xhkjedu.sstudy;

import com.xhkjedu.sstudy.config.ConfigKey;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import tk.mybatis.spring.annotation.MapperScan;

@SpringBootApplication(scanBasePackages = "com.xhkjedu")
@MapperScan(basePackages = {"com.xhkjedu.sstudy.mapper"})
@EnableAsync
public class SstudyApplication {

    public static void main(String[] args) {
        SpringApplication.run(SstudyApplication.class, args);
        System.out.println("构建号：" + ConfigKey.buildnum);
    }

}
