package com.xhkjedu.suser.config;

import org.springframework.amqp.core.Queue;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/*
 * @Description: mq
 * @Author: WN
 * @Date: 2023/11/15 14:32:28
 **/
@Configuration
public class RabbitConfig {
    //生产者mq-操作日志
    @Value("${rabbitmq.handleLogQueue}")
    private String handleLogQueue;

    @Bean
    public Queue handleLogQueue() {
        return new Queue(handleLogQueue);
    }
}
