package com.xhkjedu.smarking.mapper.stupaper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.exam.MsClassStudent;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestion;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestionScore;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷学生分数修改历史表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsPaperStudentQuestionScoreMapper extends TkMapper<MsPaperStudentQuestionScore> {

    //修改分数-修改记录
    List<Map<String, Object>> listStuQuestionScore(@Param("stu") MsClassStudent stu);

    //修改分数-班级学生
    List<Map<String, Object>> listClassStudentScores(@Param("stu") MsClassStudent stu);
    //修改分数-学生试卷
    List<MsPaperStudentQuestion> listStudentQuestions(@Param("mpsid") Integer mpsid);
}
