package com.xhkjedu.smarking.model.exam;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.*;

/**
 * @Description 阅卷考试学生表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_class_student")
public class MsClassStudent extends BaseBean {
    @Id
    //阅卷考试学生ID
    private Integer mcsid;
    //考试id
    private Integer examid;
    //科目ID
    private String subjectid;
    //班级id
    private Integer classid;
    //学生id
    private Integer studentid;

    @Transient
    //考号
    private String examno;

    @Transient
    //学校id
    private Integer schoolid;

    @Transient
    //学生姓名
    private String studentname;

    @Transient
    //阅卷模式1线上阅卷2先阅后扫3在线考试
    private Integer exammode;
}
