package com.xhkjedu.smarking.service.report.report;

import com.xhkjedu.smarking.mapper.report.reportstu.MsrStudentMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description：学生报告信息
 * @Author: WN
 * @Date: 2024/12/24 9:50:38
 **/
@Service
public class MsrStudentService {
    @Resource
    private MsrStudentMapper msrStudentMapper;

    //综合报告-小分表-列表
    public List<Map<String,Object>> listStuScoreAndRank(Integer examid, String subjectid){
        return msrStudentMapper.listStuScoreAndRankByExamidAndSubjectid(examid,subjectid);
    }
}
